## python-screed 0.7.1

=== debian/changelog ===
python-screed (0.7.1-2) unstable; urgency=medium

  * Initial upload to Debian (Closes: #776678)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 27 Jan 2015 17:16:04 -0500

python-screed (0.7.1-1ubuntu1) trusty; urgency=medium

  * Initial Release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 25 Sep 2014 02:02:57 -0400
