=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export PYBUILD_NAME=screed

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
