## python-screed 0.9

=== debian/changelog ===
python-screed (0.9-2) unstable; urgency=medium

  * Fix autopkgtest testing.

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Fri, 21 Aug 2015 19:21:37 -0700

python-screed (0.9-1) unstable; urgency=medium

  * Update to latest screed

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Wed, 27 May 2015 21:32:53 -0400
