=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,11 @@
 export PYBUILD_NAME=screed
 
 %:
-	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_test:
+	dh_auto_test -- -s custom --test-args='{interpreter} setup.py nosetests --attr !known_failing'
+
+#override_dh_auto_build:
+#	dh_auto_build
+#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html
