=== debian/watch ===
version=3
#opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
#https://pypi.python.org/packages/source/s/screed/screed-(.*)\.(?:tar\.gz|zip|tar\.bz2)

https://github.com/ged-lab/screed/releases .*/archive/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
