## python-screed 1.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PYSOURCES=$(wildcard screed/*.py)
 TESTSOURCES=$(wildcard screed/tests/*.py)
 SOURCES=$(PYSOURCES) setup.py
-DEVPKGS=pep8==1.5.7 diff_cover autopep8 pylint coverage nose sphinx
+DEVPKGS=pep8==1.5.7 diff_cover autopep8 pylint coverage pytest pytest-cov sphinx
 
 VERSION=$(shell git describe --tags --dirty | sed s/v//)
 all:
@@ -15,6 +15,7 @@
 
 install-dependencies:
 	pip install --upgrade $(DEVPKGS) || pip2 install --upgrade $(DEVPKGS)
+	pip install --upgrade --requirement doc/requirements.txt
 
 install: FORCE
 	./setup.py build install
@@ -29,12 +30,13 @@
 
 clean: FORCE
 	./setup.py clean --all || true
-	rm coverage-debug || true
-	rm -Rf .coverage || true
-	rm -Rf doc/_build || true
+	rm -rf build/
+	rm -rf coverage-debug .coverage coverage.xml
+	rm -rf doc/_build
+	rm -rf .eggs/ *.egg-info/ .cache/ __pycache__/ *.pyc */*.pyc */*/*.pyc
 
 pep8: $(PYSOURCES) $(TESTSOURCES)
-	pep8 --exclude=_version.py setup.py screed/ || true
+	pep8 --exclude=_version.py setup.py screed/
 
 pep8_report.txt: $(PYSOURCES) $(TESTSOURCES)
 	pep8 --exclude=_version.py setup.py screed/ > pep8_report.txt || true
@@ -62,8 +64,7 @@
 	diff-quality --violations=pylint pylint_report.txt
 
 .coverage: $(PYSOURCES) $(TESTSOURCES)
-	./setup.py nosetests --with-coverage --cover-package screed \
-		--attr '!known_failing' 2>&1 > .coverage.out
+	./setup.py test --addopts="--cov"
 
 coverage.xml: .coverage
 	coverage xml --omit 'screed/tests/*'
@@ -83,8 +84,8 @@
 diff-cover.html: coverage.xml
 	diff-cover coverage.xml --html-report diff-cover.html
 
-nosetests.xml: FORCE
-	./setup.py nosetests --with-xunit --attr '!known_failing'
+tests.xml: FORCE
+	./setup.py test --addopts "--junitxml=$@"
 
 doxygen: doc/doxygen/html/index.html
 
@@ -109,7 +110,7 @@
 
 test: FORCE
 	./setup.py develop
-	./setup.py nosetests --attr '!known_failing'
+	./setup.py test
 
 sloccount.sc: ${PYSOURCES} Makefile
 	sloccount --duplicates --wide --details screed setup.py Makefile \
