=== debian/changelog ===
python-screed (1.0-2) unstable; urgency=medium

  * Use python3 for the tests

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 24 Jun 2017 08:02:32 -0700

python-screed (1.0-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 23 Jun 2017 08:17:43 -0700
