=== debian/control ===
Source: python-screed
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-nose,
               python3-bz2file,
               python3-pytest-runner,
               python3-pytest-cov
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-screed.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-screed.git
Homepage: https://screed.readthedocs.org
X-Python3-Version: >= 3.4

Package: python3-screed
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: short nucleotide read sequence utils in Python 3
 Screed parses FASTA and FASTQ files, generates databases, and lets you query
 these databases. Values such as sequence name, sequence description, sequence
 quality, and the sequence itself can be retrieved from these databases.
