## python-screed 1.0.4

=== debian/changelog ===
python-screed (1.0.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 17 Feb 2020 08:24:04 +0100

python-screed (1.0-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/copyright
  * Drop ancient X-Python-Version field
  * Drop unused lintian-override

 -- Andreas Tille <tille@debian.org>  Tue, 30 Oct 2018 08:59:40 +0100
