=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -12,11 +12,10 @@
                python3-bz2file,
                python3-pytest-runner,
                python3-pytest-cov
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-screed.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/python-screed.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/python-screed
+Vcs-Git: https://salsa.debian.org/med-team/python-screed.git
 Homepage: https://screed.readthedocs.org
-X-Python3-Version: >= 3.4
 
 Package: python3-screed
 Architecture: all
