=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,11 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_install
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="export PATH={destdir}/usr/usr/bin:$$PATH {interpreter} -m pytest -m 'not known_failing'"
+endif
 
 #override_dh_auto_build:
 #	dh_auto_build
