=== debian/changelog ===
python-screed (1.0.5-4) unstable; urgency=medium

  * Team Upload.
  * Use pytest instead of nosetest

 -- Nilesh Patra <nilesh@debian.org>  Sat, 18 Dec 2021 14:13:55 +0530

python-screed (1.0.5-3) unstable; urgency=medium

  * Team upload.
  * Use python-bz2 instead of bz2file (addressing bug #987287)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Dec 2021 21:56:11 +0100

python-screed (1.0.5-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Sep 2021 06:51:37 +0200

python-screed (1.0.5-1) unstable; urgency=medium

  * debian/watch: update to format 4
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * debian/control: build-dep on python3-setuptools-scm

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 02 Feb 2021 17:53:43 +0100
