=== debian/control ===
Source: python-screed
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-sphinx,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/python-screed
Vcs-Git: https://salsa.debian.org/med-team/python-screed.git
Homepage: https://screed.readthedocs.org
Rules-Requires-Root: no

Package: python3-screed
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: short nucleotide read sequence utils in Python 3
 Screed parses FASTA and FASTQ files, generates databases, and lets you query
 these databases. Values such as sequence name, sequence description, sequence
 quality, and the sequence itself can be retrieved from these databases.
