=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,6 @@
 	PYBUILD_TEST_ARGS="export PATH={destdir}/usr/usr/bin:$$PATH {interpreter} -m pytest -m 'not known_failing'"
 endif
 
-#override_dh_auto_build:
-#	dh_auto_build
-#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html
+override_dh_auto_build:
+	dh_auto_build
+	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html
