=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-screed-$1.tar.gz%"
https://github.com/dib-lab/screed/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz
