## python-screed 1.1.2

=== debian/changelog ===
python-screed (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version  (Closes: #1040573)
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * bz2.patch: remove: applied upstream.
  * debian/python-screed.lintian-overrides: remove.
  * d/py*3-screed.lintian-overrides: fix mismatched override.

 -- Étienne Mollier <emollier@debian.org>  Sat, 08 Jul 2023 21:25:32 +0200
