=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-sphinx,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-screed
 Vcs-Git: https://salsa.debian.org/med-team/python-screed.git
 Homepage: https://screed.readthedocs.org
