## python-screed 1.1.3

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,6 @@
 	cd doc && make html
 
 test: FORCE
-	./setup.py develop
-	./setup.py test
+	pytest
 
 FORCE:
