=== debian/changelog ===
python-screed (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sat, 13 Jan 2024 19:26:31 +0100
